# Class JideTreeMapPopup

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
com.jidesoft.popup.JidePopup
com.treemap.swing.JideTreeMapPopup

All Implemented Interfaces:
  `TreeMapPopup<Component>, ImageObserver, MenuContainer, Serializable, Accessible, WindowConstants`

public class JideTreeMapPopup extends com.jidesoft.popup.JidePopup implements TreeMapPopup<Component>
An implementation of a treemap popup based on JidePopup

See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class com.jidesoft.popup.JidePopup

  `com.jidesoft.popup.JidePopup.AccessiblePopup`

  ### Nested classes/interfaces inherited from class JComponent

  `JComponent.AccessibleJComponent`

  ### Nested classes/interfaces inherited from class Container

  `Container.AccessibleAWTContainer`

  ### Nested classes/interfaces inherited from class Component

  `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

- ## Field Summary

  ### Fields inherited from class com.jidesoft.popup.JidePopup

  `_actualOwner, _actualOwnerLocation, _detached, _insets, _panel, _previousSize, _resizableSupport, _window, ATTACHABLE_PROPERTY, CLIENT_PROPERTY_POPUP_ACTUAL_OWNER, CLIENT_PROPERTY_POPUP_TYPE, CLIENT_PROPERTY_VALUE_POPUP_TYPE_COMBOBOX, CLIENT_PROPERTY_WINDOW_OPACITY, CLIENT_PROPERTY_WINDOW_OPAQUE, CLIENT_PROPERTY_WINDOW_SHAPE, CONTENT_PANE_PROPERTY, DETACHED_PROPERTY, DISTANCE_TO_SCREEN_BORDER, DO_NOTHING_ON_MOVED, GLASS_PANE_PROPERTY, HEAVY_WEIGHT_POPUP, HIDE_ON_MOVED, LAYERED_PANE_PROPERTY, LIGHT_WEIGHT_POPUP, MENU_BAR_PROPERTY, MOVABLE_PROPERTY, MOVE_ON_MOVED, OWNER_PROPERTY, PROPERTY_GRIPPER_LOCATION, RESIZABLE_PROPERTY, ROOT_PANE_PROPERTY, TRANSIENT_PROPERTY, VISIBLE_PROPERTY`

  ### Fields inherited from class JComponent

  `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class Component

  `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  ### Fields inherited from interface WindowConstants

  `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JideTreeMapPopup()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.macrofocus.geom.Point`
  `getAnchor()`
  Returns the position of the popup.

  ### Methods inherited from class com.jidesoft.popup.JidePopup

  `addExcludedComponent, addImpl, addPopupMenuListener, ancestorHidden, ancestorMoved, beginDragging, contentResized, createHeavyweightPopupContainer, createLightweightPopupContainer, createRootPane, createWindow, drag, endDragging, firePopupMenuCanceled, firePopupMenuWillBecomeInvisible, firePopupMenuWillBecomeVisible, getAccessibleContext, getActualOwner, getAdjustedRectangle, getBackToOriginalInsets, getContentPane, getDefaultFocusComponent, getDefaultMoveOperation, getDisplayScreenBounds, getDisplayStartLocation, getFrame, getGlassPane, getGripperLocation, getJMenuBar, getLayeredPane, getOwner, getPopupBorder, getPopupBounds, getPopupLocation, getPopupMenuListeners, getPopupType, getPreferredPopupSize, getRealParent, getRootPane, getTimeout, getTopLevelAncestor, getUI, getUIClassID, handleComponentEvent, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMousePressed, handleMouseReleased, handleWindowEvent, hidePopup, hidePopup, hidePopupImmediately, hidePopupImmediately, installBorder, installListeners, internalShowPopup, internalShowPopup, isAttachable, isClickOnPopup, isDetached, isDragging, isEnsureInOneScreen, isExcludedComponent, isKeepPreviousSize, isMovable, isPopupAncestorOf, isPopupVisible, isResizable, isReturnFocusToOwner, isRootPaneCheckingEnabled, isTransient, movePopup, packPopup, remove, removeAllExcludedComponents, removeExcludedComponent, removePopupMenuListener, setAttachable, setBackToOriginalInsets, setContentPane, setDefaultFocusComponent, setDefaultMoveOperation, setDetached, setDisplayStartLocation, setEnsureInOneScreen, setGlassPane, setGripperLocation, setJMenuBar, setKeepPreviousSize, setLayeredPane, setLayout, setMovable, setOwner, setPopupBorder, setPopupType, setPreferredPopupSize, setResizable, setReturnFocusToOwner, setRootPane, setRootPaneCheckingEnabled, setTimeout, setTransient, setUI, setupResizeCorner, setVisible, shouldAWTEventListenerBeUsed, showPopup, showPopup, showPopup, showPopup, showPopup, showPopup, showPopup, showPopup, showPopupImmediately, updateUI`

  ### Methods inherited from class JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, update`

  ### Methods inherited from class Container

  `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusDownCycle, validate, validateTree`

  ### Methods inherited from class Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, disableInputMethodSupport, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface TreeMapPopup

  `hidePopup, repaint, showPopup`

- ## Constructor Details

  - ### JideTreeMapPopup

    public JideTreeMapPopup()

- ## Method Details

  - ### getAnchor

    public com.macrofocus.geom.Point getAnchor()
    Description copied from interface: `TreeMapPopup`
    Returns the position of the popup.
    Specified by:
      `getAnchor` in interface `TreeMapPopup<Component>`
    Returns:
      the position of the popup